HASH-EFI-SIG-LIST(1)

NAME
hash-efi-sig-list - create a hash signature list entry from a binary

SYNOPSIS
hash-to-efi-sig-list efi-binary [efi-binary ...] efi-signature-list

DESCRIPTION
Produce an EFI Signature List file containing the sha256 hash of the passed in EFI binary

OPTIONS
none

EXAMPLES
To create a hash efi-signature-list in the file hash.esl from the binary HelloWorld.efi do hash-efi-sig-list HelloWorld.efi hash.esl This hash file can now be placed directly (or as an update) into the db variables with UpdateVar

SEE ALSO
sign-efi-sig-list(1) for details on how to produce authenticated update files for the db variable.